BETTERMENU
Studio

Get Ingredient

Resolve one ingredient by id — a custom ingredient (cing_… — the caller organization's own) or a standard reference ingredient, whichever the id belongs to.

GET
/studio/ingredients/{ingredient_id}

Path Parameters

ingredient_id*Ingredient Id

Ingredient id — cing_… or a standard reference id.

Query Parameters

market*CountryCode

The market to resolve this ingredient for.

Value in"US"

Response Body

application/json

application/json

curl -X GET "https://api.bettermenu.live/studio/ingredients/string?market=US"
{
  "id": "string",
  "name": "string",
  "kind": "string",
  "market": "string",
  "status": "string",
  "used_in_recipes": 0,
  "source": "string",
  "category": "string",
  "brand_name": "string",
  "brand_owner": "string",
  "nutrients": [
    {
      "bmid": "string",
      "name": "string",
      "amount": "string",
      "unit": "string",
      "basis": "string"
    }
  ],
  "portions": [
    {
      "id": "string",
      "origin": "string",
      "amount": "string",
      "unit_name": "string",
      "gram_weight": "string",
      "modifier": "string"
    }
  ],
  "density_g_per_ml": "string",
  "reference_amount": "string",
  "reference_unit": "string",
  "reference_quantity_g": "string"
}
Empty
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
BETTERMENU

FDA-compliant nutrition labels from a recipe, in minutes.

Visit bettermenu.live